// pages/home/index.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '新闻',
    },
    logo: '',
    currentTab: 0,
    // 國内新聞
    oneList: [],
    twoList: [],
  },
  // 禁止左右滑动
  stopTab: function (e) {
    return false;
  },
  //点击切换
  clickTab: function (e) {
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current,
      });
    }
  },
  detail: function (data) {
    wx.navigateTo({
      url: `/pages/news/detail?id=${data.detail.id}`,
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    this.searchST();
    const res = await app.$get('/news', { type: '国内新闻' });
    let data = this.dealImg(res.data);
    this.setData({ oneList: data });
    const res2 = await app.$get('/news', { type: '健康资讯' });
    let data2 = this.dealImg(res2.data);
    this.setData({ twoList: data2 });
  },
  dealImg(list) {
    for (let i of list) {
      if (i.img && i.img.length > 0 && i.img[0]) i.url = `${app.globalData.fileUrl}${i.img[0].url}`;
      else i.url = this.data.logo;
    }
    return list;
  },
  searchST: async function () {
    const res = await app.$get('/config');
    const logo = `${res.data.logo[0].url || ''}`;
    this.setData({ logo });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (typeof this.getTabBar === 'function' && this.getTabBar()) {
      this.getTabBar().setData({
        selected: 2,
      });
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
